Jump to content

Curb Return Tables


herb6874

Recommended Posts

I need to find out how to create a curb return table

with the following information

curb No.

Length

Radius

Delta

Tangent

Beginning of curve (station)

End of Curve (station)

from near alignment

So far I have been able to create the the table without the stationing

If you can help me out to find the way to imput the data in my table

will help me a lot.

 

Thanks

 

Hector

Link to comment
Share on other sites

How did you create your table? I don't think C3D 2009 could do Line/Curve tables... So are you using Parcel or Alignment tables? Or plain Autocad tables?

 

Regardless, there's no easy way to create such a table in C3D, even in C3D 2011. The problem is the stationing - there's no way to create a General Line/Curve table that has start/end stations on it. In C3D, the only easy thing to do is create the curve table, and then label the station/offset of each end of the curves in plan view using a StationOffset Label. Getting stationing into tables pose a problem...

 

If it's possible at all using C3D tables in 2009, then I think the only hope at all is a Pipe Table. You would basically need to pretend your curb returns are pipes, at least as far as creating the table goes. Not sure if it will work or not, though... It would take some experimenting.

Link to comment
Share on other sites

How did you create your table? I don't think C3D 2009 could do Line/Curve tables... So are you using Parcel or Alignment tables? Or plain Autocad tables?

 

As I use 2009 myself, I'm inclined to believe the OP might be using plain AutoCAD tables. If not, maybe the OP can clarify..?

 

Regardless, there's no easy way to create such a table in C3D, even in C3D 2011. The problem is the stationing - there's no way to create a General Line/Curve table that has start/end stations on it. In C3D, the only easy thing to do is create the curve table, and then label the station/offset of each end of the curves in plan view using a StationOffset Label. Getting stationing into tables pose a problem...

 

You mean, like this: 8)

 

(defun c:CurveData (/ ss radius delta arcLen chordLen chordBear spStaOff epStaOff)
 (vl-load-com)
 [color=blue](cr_mnl)[/color]
[color=blue]  (if (not f:adproj)[/color]
[color=blue]    (load2 "ad" "adproj"))[/color]
 (cond
   (*activeDoc*)
   ((setq *activeDoc* (vla-get-activedocument (vlax-get-acad-object)))))
 (if (setq ss (ssget ":S:E" '((0 . "ARC"))))
   (progn
     (vlax-for x (setq ss (vla-get-activeselectionset *activeDoc*))
       (setq radius (strcat "\n\t\tRADIUS         >>  " (rtos (vla-get-radius x) 2 2) "'"))
       (setq delta (strcat "\n\t\tDELTA          >>  " (angtos (abs (- (vla-get-startangle x) (vla-get-endangle x))) 1)))
       (setq arcLen (strcat "\n\t\tARC LENGTH     >>  " (rtos (vla-get-arclength x) 2 2) "'"))
       (setq chordLen (strcat "\n\t\tCHORD LENGTH   >>  " (rtos (distance (setq sp (vlax-curve-getstartpoint x)) (setq ep (vlax-curve-getendpoint x))) 2 2) "'"))
       (setq chordBear (strcat "\n\t\tCHORD BEARING  >>  " (angtos (angle sp ep) 4)))
       (setq spStaOff (strcat "\n\t\tBEGIN STATION  >>  " [color=blue](f:sta (car (f:gstaoff (f:ne sp))))[/color]))
       (setq epStaOff (strcat "\n\t\tEND STATION    >>  " [color=blue](f:sta (car (f:gstaoff (f:ne ep))))[/color])))
     (vla-delete ss)
     (textpage)
     (prompt "\nCurve Table: ")
     (prompt "\n---------------------------------- ")
     (prompt (strcat radius delta arcLen chordLen chordBear spStaOff epStaOff))
     (prompt "\n---------------------------------- ")
     (terpri)))
 (princ)) ;_end defun

 

Note - Program tested using C3D 2009 LDC.

 

Now all the OP needs to do is modify the code to plug the variables into an AutoCAD table of their choosing. :wink:

 

Hope this helps!

Link to comment
Share on other sites

Civil 3D 2009? Or Land Desktop Companion 2009?

 

Sorry for not being more clear:

 

Note - Program tested using C3D 2009 [Land Desktop Companion].

 

[edit]

After additional testing, using C3D 2009 (non-LDC), the functions highlighted in blue above are not recognized. I will work to find their replacements for C3D, and report back if/when identified.

[/edit]

Edited by BlackBox
Additional testing comments
Link to comment
Share on other sites

These were extracted from my previous post's edit, as there were beginning to be a couple of other potential solutions:

 

There's the Curve Calculator tool in C3D:

(._AeccCurveCalculator command, or Lines/Curves >> Curve Calculator)

 

There's the ._CGList command (not sure of the menu pull down?).

 

But this still does not plug the vlaues into a table, nor does it provide for the station and offset of the endpoints.

Link to comment
Share on other sites

Hi I am using Civil 3D 2009 and I have to use a parcel table because

it is offset from the alignment.

This arcs are are part of the edge of road in an intersection and they have to be related

to the nearest alignment.

I can get stationing into the alignment table bbut not for this ones on the side

Thanks for your help

 

Hector

Link to comment
Share on other sites

After additional testing, using C3D 2009 (non-LDC), the functions highlighted in blue above are not recognized. I will work to find their replacements for C3D, and report back if/when identified.

 

Don't look too hard... C3D is very different from LDC. To start, there is no concept of a "current alignment" in C3D. Making something similar that works in C3D will take a fair bit more effort...

Link to comment
Share on other sites

Don't look too hard... C3D is very different from LDC. To start, there is no concept of a "current alignment" in C3D. Making something similar that works in C3D will take a fair bit more effort...

 

I appreciate the feedback, Sinc.

 

I began to get that impression when I opened up C3D earlier today, sadly. While we all have C3D installed, it's not being used for production just yet, so they can finish setting up Styles, etc. But if you wouldn't mind educating me, how does one identify / label stations and offsets then? Is it simply relative to the dynamic assembly?

Link to comment
Share on other sites

There are StationOffset labels, but they currently cannot be placed into a table. In general, Civil 3D lacks a way to create Station/Offset tables, except maybe in a Pipe Network table. That's why I was thinking that might be an option... Basically, instead of pretending the curb returns are Parcels, as the OP is doing, pretend they are Pipes... Not sure if it will work or not, though, since I've never had to do this task yet.

Link to comment
Share on other sites

Understood, and thanks for your clarification, Sinc.

 

I think anyone using any LDT/LDC product, will be glad I posted my earlier code, I only wish it was helpful to the OP. :(

 

...Maybe next time!?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...